Package org.italiangrid.voms.request.impl

# Class VOMSESLineParser

java.lang.Object
org.italiangrid.voms.request.impl.VOMSESLineParser

public class VOMSESLineParser extends Object
A parser for VOMSES lines. The VOMSES line format is as follows:

     "alias" "hostname" "port" "server DN" "vo_name"

This parser eats up whitespace and characters outside of quotes and tolerates an additional quoted field ("globus_version") that was for some time needed.

Author:
  andreaceccanti

## Constructor Summary

Constructors
Constructor
Description
`VOMSESLineParser()`

## Method Summary

Modifier and Type
Method
Description
`VOMSServerInfo`
`parse(String line)`
`void`
`tokenChar(char c)`
`void`
`tokenEnd()`
`void`
`tokenStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VOMSESLineParser

public VOMSESLineParser()

## Method Details

### parse

public VOMSServerInfo parse(String line)

### tokenStart

public void tokenStart()

### tokenEnd

public void tokenEnd()

### tokenChar

public void tokenChar(char c)